Tags:
create new tag
view all tags

APPX Database Interfaces

The database interfaces in APPX 5.0.0 have been updated to support newer versions. Support for Microsoft Access and DB2 has been discontinued.

APPX 5.0.0 supports three database interfaces and a variety of databases and versions. New releases of APPX are periodically updated to work with newer versions of the supported databases. When APPX is updated to work with a newer version of a database, there is no assurance that the new version of APPX will work with the older version of the database. Therefore, all APPX sites which use third party databases are encouraged to upgrade to a supported version of their database product at the same time that they upgrade to a new version of APPX.

Oracle

APPX 5.0.0 supports the various editions of Oracle listed below including the free Express Edition on all APPX platforms. APPX interfaces with the Oracle database via the Oracle Instant Client. The corresponding version of the Oracle Instant Client must be installed on the same server as APPX. The APPX engine utilizes on-demand dynamic linking with the Oracle Instant Client libraries that are required to enable APPX to interface with Oracle. The Oracle Instant Client libraries are only loaded by APPX if you attempt to interface with Oracle.

Oracle Express Edition

Oracle 10gR2

Oracle Personal Edition

Oracle 11gR1

Oracle Standard Edition One

Oracle 10gR2

Oracle 11gR1

Oracle Standard Edition

Oracle 10gR2

Oracle 11gR1

Oracle Enterprise Edition

Oracle 10gR2

Oracle 11gR1

DB2

APPX 5.0.0 supports DB2 only on the RS6000/AIX platform. DB2 is not currently available for APPX on the other APPX platforms. If you require DB2 on one of the other APPX platforms, please contact APPX Software, Inc. to inquire about availability.

APPX 5.0.0 support DB2 Version 9.5. APPX Sites which use older versions of DB2 are stongly urged to upgrade to DB2 Version 9. APPX Software, Inc. does not offer any assurance that APPX 5.0.0 will work with any prior versions of DB2.

ODBC

The APPX ODBC database interface has been specifically tested with the databases and versions listed below and they are the only officially supported ODBC databases. Since ODBC is a generic standard for accessing databases, it is possible that the APPX ODBC interface can be used to successfully access other databases and versions. However, APPX Software, Inc. does not offer any assurance that any other databases or versions will work with APPX 5.0.0 or that they will continue to work with future releases of APPX.

MS SQL Server

APPX 5.0.0 supports both the standard version of Microsoft SQL Server as well as the free express version.

MS SQL Server

SQL Server 2005

SQL Server 2008

MS SQL Server Express

SQL Server Express 2005

SQL Server Express 2008

MySQL

MySQL 5.0.22 or higher

Requires mysql-connector-odbc 3.51.22 or higher

Requires UnixODBC 2.2.11-7.1 or higher

PostgreSQL

PostgreSQL 8.1.11

PostgreSQL 8.2

PostgreSQL 8.3

MS Access (No Longer Supported)

Microsoft Access is no longer an officially support database. While APPX 5.0.0 may continue to work with Access, there is no guarantee that it will work correctly in APPX 5.0.0 and higher. APPX sites which currently use MS Access are strongly urged to migrate their Access database to MS SQL Server or MS SQL Server Express.

Comments:

Read what other users have said about this page or add your own comments.

-- SteveFrizzell - 25 Sep 2008

Edit | Attach | Watch | Print version | History: r4 < r3 < r2 < r1 | Backlinks | Raw View | Raw edit | More topic actions
Topic revision: r4 - 2020-07-21 - JoeyArrigo
 
This site is powered by the TWiki collaboration platform Powered by PerlCopyright © 2008-2021 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Send feedback